Skip to main content
GET
/
v2
/
admin
/
analytics
Get usage statistics as an admin
curl --request GET \
  --url https://api.deepl.com/v2/admin/analytics \
  --header 'Authorization: <api-key>'
{ "usage_report": { "total_usage": { "total_characters": 9619, "text_translation_characters": 4892, "document_translation_characters": 0, "text_improvement_characters": 4727, "speech_to_text_minutes": 107.46 }, "group_by": "key_and_day", "start_date": "2025-09-29T00:00:00", "end_date": "2025-10-01T00:00:00", "key_and_day_usages": [ { "api_key": "dc88****3a2c", "api_key_label": "Staging API Key", "usage_date": "2025-09-29T00:00:00Z", "usage": { "total_characters": 315, "text_translation_characters": 159, "document_translation_characters": 0, "text_improvement_characters": 156, "speech_to_text_minutes": 11.94 } } ] } }

Authorizations

Authorization
string
header
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Query Parameters

start_date
string<date>
required

Start date for the usage report (ISO 8601 date format).

end_date
string<date>
required

End date for the usage report (ISO 8601 date format).

group_by
enum<string>

Optional parameter to group usage statistics. Possible values:

  • key - Group by API key
  • key_and_day - Group by API key and usage date
Available options:
key,
key_and_day

Response

The usage statistics for the specified date range.

The response for admin usage statistics.

usage_report
object

Contains the detailed usage statistics for the specified date range.